Name:           jaxb-fi
Version:        2.1.0
Release:        %mkrel 1
Group:          Development/Java
Summary:        Implementation of the Fast Infoset Standard for Binary XML
# jaxb-fi is licensed Apache-2.0 and EDL-1.0 (BSD-3-Clause)
# bundled org.apache.xerces.util.XMLChar.java is licensed ASL 1.1
License:        Apache-2.0 AND BSD-3-Clause AND Apache-1.1
URL:            https://github.com/eclipse-ee4j/jaxb-fi
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

Patch1:         0001-Port-to-jaxb-xsom-4.0.1.patch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-assembly-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-dependency-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)

%description
Fast Infoset Project, an Open Source implementation of the Fast Infoset
Standard for Binary XML.

The Fast Infoset specification (ITU-T Rec. X.891 | ISO/IEC 24824-1)
describes an open, standards-based "binary XML" format that is based on
the XML Information Set.

%package tests
License:        Apache-2.0 AND BSD-3-Clause
Summary:        FastInfoset Roundtrip Tests
%description tests
%{summary}.

%{?javadoc_package}

%prep
%setup -q

%pom_remove_parent

%pom_disable_module samples
%pom_disable_module utilities

%pom_remove_plugin :buildnumber-maven-plugin
%pom_remove_plugin :glassfish-copyright-maven-plugin
%pom_remove_plugin :maven-enforcer-plugin

%mvn_package :FastInfosetRoundTripTests tests

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE.md
%doc README.md

%files tests -f .mfiles-tests
%license LICENSE NOTICE.md



%changelog
* Thu Sep 14 2023 daviddavid <daviddavid> 2.1.0-1.mga10
+ Revision: 1986467
- Update to upstream version 2.1.0

* Sat Mar 26 2022 umeabot <umeabot> 1.2.18-2.mga9
+ Revision: 1827557
- Mageia 9 Mass Rebuild

* Fri Sep 04 2020 daviddavid <daviddavid> 1.2.18-1.mga8
+ Revision: 1621675
- Update to 1.2.18
- package renamed to jaxb-fi

* Wed Feb 12 2020 umeabot <umeabot> 1.2.13-9.mga8
+ Revision: 1506321
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.2.13-8.mga7
+ Revision: 1261852
- Mageia 7 Mass Rebuild

* Wed May 17 2017 neoclust <neoclust> 1.2.13-7.mga6
+ Revision: 1102571
- Fix build

* Wed Mar 02 2016 neoclust <neoclust> 1.2.13-6.mga6
+ Revision: 981880
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.2.13-5.mga6
+ Revision: 976258
- First rebuild of the java stack
- sync package glassfish-fastinfoset with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.12-10.mga5
+ Revision: 747366
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Dec 31 2013 dmorgan <dmorgan> 1.2.12-8.mga4
+ Revision: 563536
- Build with xmvn
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.2.12-6.mga3
+ Revision: 351700
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 dmorgan <dmorgan> 1.2.12-5.mga3
+ Revision: 291458
- Obsolete old packages
- imported package glassfish-fastinfoset

